Bug 208206 - FC6T3 / RH6 :: Unable to lower resolution from1280x1024 to lower resolution settings
FC6T3 / RH6 :: Unable to lower resolution from1280x1024 to lower resolution s...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 20:26 EDT by Michael DeGon
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 12:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeGon 2006-09-26 20:26:25 EDT
Description of problem:  FC6T3 / RH6 :: Unable to lower resolution from1280x1024
to lower resolution settings.

Distribution: Fedora Core 6 Test 3 i386

Server Models effected:
D915GAGLK
D945GNTLKR

Test: 
Lower resolution through 'system-config-display'utility. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-810-1.6.5-5.fc6

How reproducible:
load FC6T3 on i386 dualcore  either 945 or 915 model/

Steps to Reproduce:
1.execute 'system-config-display'
2. change resolution from 1280x1024 to any lower resolution ie., 1024x768,
800x600, or 640x480.
3.restart x server and view the non-change.
  
Actual results:
- Unable not lower resolution to 640x480  from 1280x1024. Tried to do this in
multiple ways with no success. Xorg.conf file is unaffected.
- Unable not lower resolution to 800x600  from 1280x1024. Tried to do this in
multiple ways with no success.  Xorg.conf file is unaffected
 -Unable not lower resolution to 1024x768  from 1280x1024. Tried to do this in
multiple ways with no success. Xorg.conf file is unaffected

Expected results:
ability to lower resolution 

Additional info:
Notes: 
This version of Xorg does not have the resolution setting denoted in the
xorg.conf file like previous distributions. So manual configuration is not
possible through editting of the xorg.conf file.
Comment 1 Chris Bagwell 2006-09-26 21:26:55 EDT
This is a "me to" although my combination of i810 and COMPAQ MV940 starts out at
a resolution of 1600x1200 which I find very uncomfortable.

Using system-config-display to change to the /etc/X11/xorg.conf file (timestamp
changes) but no detectable modifications.

My monitor is shown as "autoconfigured" in system-config-display.  Nothing jumps
out at in in /var/log/Xorg.0.log on why it chose 1600x1200 other then its the
highest setting the monitor reported supporting.
Comment 2 Chris Bagwell 2006-09-26 22:09:58 EDT
Some additional information on my Commnet #1.  After upgrading my FC5 to
FC6test3, I decided I wanted to use the new reduced xorg.conf and so I delete
xorg.conf, restarted X, and then ran "system-config-display --reconf" (I read
something about the --reconfig on the test mailing ilst) to create a new xorg.conf.

This created a file with the following:

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
EndSection

I was able to switch to from default of 1600x1200 it chose to 1280x1024 by
modifying it as:

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1280x1024"
        EndSubSection
EndSection

After doing this, I then tried "system-config-display" to modify the xorg.conf.
 It would not make any changes to contents of the file.
Comment 3 Adam Jackson 2006-10-03 12:18:40 EDT
Should be fixed in s-c-d 1.0.45-1 and rhpxl 0.35-1 and later.  Please test and
reopen this bug if it's still an issue for you.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.